Subject: Re: bug#6805: 24.0.50; package--dir assumes that Emacs is installed

From: Chong Yidong <[email-masked]>
Date: Sun, 08 Aug 2010 16:33:57 -0400

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> When I compile Emacs from Git and run it without doing "make install" I
> run into this in package.el:
>
>     (unless pkg-dir
>       (error "Internal error: could not find directory for %s-%s"
> 	     name version-str))

I can't reproduce this.  I run Emacs in place without `make install',
and have not encountered any such error.  Could you provide a precise
description of the error, such as the error message shown in echo area?

> It's failing that assertion because package--dir assumes that Emacs is
> already installed:
>
>     package-directory-list is a variable defined in `package.el'.
>     Its value is
>     ("/usr/local/share/emacs/24.0.50/site-lisp/elpa"
> "/usr/local/share/emacs/site-lisp/elpa")

It should not matter if these directories do not exist, but your bug
report does not provide enough information to tell for sure.